Subject: Re: bug#59477: python-tests fail without tree-sitter

From: Yuan Fu <[email-masked]>
Date: Sat, 3 Dec 2022 23:51:52 -0800

> On Nov 30, 2022, at 5:41 AM, Mattias Engdegård <[email-masked]> wrote:
> 
> 27 nov. 2022 kl. 14.07 skrev Mattias Engdegård <[email-masked]>:
> 
>> I'm tempted to push this patch that sinks the call to python-indent-guess-indent-offset
> 
> and have now succumbed to the temptation: pushed to emacs-29.
> 
> This should fix the last observed failure in python-tests and the bug can be closed.
> 

Sorry for the delay, I just got around and came back to this bug. It didn’t fix the test for me when I tried you suggestion. But it’s probably some problem with my execution, since your patch clearly fixes the test. Anyway, thanks a ton for fixing this! One more stone off my chest :-)

Yuan